---
title: caption-side
slug: Web/CSS/caption-side
tags:
  - CSS
  - CSS Property
  - CSS Tables
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>caption-side</code></strong> <a href="/en/CSS" title="CSS">CSS</a> property puts the content of a table's {{HTMLElement("caption")}} on the specified side. The values are relative to the {{cssxref('writing-mode')}} of the table.</p>

<div>{{EmbedInteractiveExample("pages/css/caption-side.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Directional values */
caption-side: top;
caption-side: bottom;

/* Warning: non-standard values */
caption-side: left;
caption-side: right;
caption-side: top-outside;
caption-side: bottom-outside;

/* Global values */
caption-side: inherit;
caption-side: initial;
caption-side: unset;
</pre>

<p>The <code>caption-side</code> property is specified as one of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>top</code></dt>
 <dd>The caption box should be positioned above the table.</dd>
 <dt><code>bottom</code></dt>
 <dd>The caption box should be positioned below the table.</dd>
 <dt><code>left</code> {{non-standard_inline}}</dt>
 <dd>The caption box should be positioned on the left side of the table.</dd>
 <dd>
 <div class="note">This value was proposed for CSS 2, but removed from the final CSS 2.1 specification. It is non-standard.</div>
 </dd>
 <dt><code>right</code> {{non-standard_inline}}</dt>
 <dd>The caption box should be positioned on the right side of the table.</dd>
 <dd>
 <div class="note">This value was proposed for CSS 2, but removed from the final CSS 2.1 specification. It is non-standard.</div>
 </dd>
 <dt><code>top-outside</code> {{non-standard_inline}}</dt>
 <dd>The caption box should be positioned above the table, while the width and horizontal alignment behavior are not bound to the table's horizontal layout.</dd>
 <dd>
 <div class="note">The CSS 2.1 specification notes that the CSS 2 specification described a different behavior for the <code>top</code> value, which will be reintroduced by this value in a future specification.</div>
 </dd>
 <dt><code>bottom-outside</code> {{non-standard_inline}}</dt>
 <dd>The caption box should be positioned below the table, while the width and horizontal alignment behavior are not bound to the table's horizontal layout.</dd>
 <dd>
 <div class="note">The CSS 2.1 specification notes that the CSS 2 specification described a different behavior for the <code>bottom</code> value, which will be reintroduced by this value in a future specification.</div>
 </dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_captions_above_and_below">Setting captions above and below</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;table class="top"&gt;
  &lt;caption&gt;Caption ABOVE the table&lt;/caption&gt;
  &lt;tr&gt;
    &lt;td&gt;Some data&lt;/td&gt;
    &lt;td&gt;Some more data&lt;/td&gt;
  &lt;/tr&gt;
&lt;/table&gt;

&lt;br&gt;

&lt;table class="bottom"&gt;
  &lt;caption&gt;Caption BELOW the table&lt;/caption&gt;
  &lt;tr&gt;
    &lt;td&gt;Some data&lt;/td&gt;
    &lt;td&gt;Some more data&lt;/td&gt;
  &lt;/tr&gt;
&lt;/table&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.top caption {
  caption-side: top;
}

.bottom caption {
  caption-side: bottom;
}

table {
  border: 1px solid red;
}

td {
  border: 1px solid blue;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_captions_above_and_below', 'auto', 160)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS Logical Properties', '#caption-side', 'caption-side') }}</td>
   <td>{{ Spec2('CSS Logical Properties') }}</td>
   <td>Defines the <code>top</code> and <code>bottom</code> values as relative to the <code>writing-mode</code> value.</td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS2.1', 'tables.html#caption-position', 'caption-side') }}</td>
   <td>{{ Spec2('CSS2.1') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.caption-side")}}</p>
